Prima::FrameSet(3)

NAME
Prima::FrameSet - standard frameset widget

DESCRIPTION
Provides standard means of framesets manipulations. It includes sharing of common workspace among several widget groups; redistribution of space, occupied by frames; isolation of different frames from each other.

This module defines "fra::" and "frr::" packages for constants, used by arrangement and resizeMethod properties, respectively.

Two additional auxiliary packages are defined within this module: Prima::FrameSet::Frame and Prima::FrameSet::Slider.

SYNOPSIS
    use Prima::FrameSet;

    my $frame = Prima::FrameSet->create(
        frameSizes => [qw(211 20% 123 10% * 45% *)],
        opaqueResize => 0,
        frameProfiles => [ 0,0, { minFrameWidth => 123, maxFrameWidth => 123 }],
    );
    $frame->insert_to_frame(
        0,
        Button =>
        text => '~Ok',
    );

API

  Properties

AUTHOR
Vadim Belman, <voland@lflat.org>

SEE ALSO
Prima, Prima::Widget, examples/frames.pl.